The notion of causal thinking is ingrained in human mind, as Rothman argues that these ideas are formed at birth. A child cries in order to attract the attention of his mother so that it can be fed. This sets up a notion of one on one cause and effect as crying is the trigger that feeds the baby \cite{rothman2005causation}. Over time, this notion of causality becomes ingrained in our mind and forms our intuitive notions of cause and effect. However, in Environmental Epidemiology, often multiple events and conditions are causal factors. Often, association between two variables can be non-causal. How do we differentiate whether an explanatory variable is causal as opposed to non-causal? 
The history of the development of causal inference is relatively recent. About 2500 years ago, the world could be explained by the words of experts and seers and these were referred to as [scholasticism](https://www.britannica.com/topic/Scholasticism). In about the middle of the eighteenth century, a new form of explanatory models arose, referred to as an [inductivism](http://methods.sagepub.com/reference/encyc-of-case-study-research/n171.xml). The inductivist would first observe a particular phenomenon and then from that particular phenomenon, the inductivist would arrive at a theory. Take the case of the old woman who fell and broke her hip. The inductivist would observe that an old woman had slipped and broke her hip and from here, the inductivist would argue that old age combined with slippery surface would lead to hip fracture. John[ Stuart Mill](https://en.wikipedia.org/wiki/John_Stuart_Mill) was a proponent of inductive logic. Inductive logic was a dominant logic that aimed to explain the world phenomena for over a hundred years; it was later challenged by other logicians who argued the main assumption of the induction: the observation of single events that were held as if they would always remain the same. For example, people who would counter argue the inductivist's logic that icy pavement and old age would lead to fall and hip fracture would say that the conditions of the original observation might have changed over the years. It could be that compared with what was observed at one instance, the physical strength of the woman who fell might be different in another situation, so the original observation that her age alone was responsible for her frailty and her fall could not hold true for another person. Such was the logic of a group of logicians who are referred to as deductive logic; in [deductive](http://physics.weber.edu/carroll/honors/logic.htm) logic, one would start with a general theory and then one would explain a particular phenomenon. In health and environmental epidemiology, when we aim to explain a health occurrence, we tend to use what is referred to as inductivo-deductive logic; this means, we start with an observation, and then we formulate a theory, and then on the basis of that theory, holding that conditions of the world might change, we tend to predict occurrences. Then we search for specific observations to refute our theories. 
Why should we aim to refute our theories? This is because if we frame theories and search or observe only those observations that tend to support our theories, then we fall for a fallacy of circular logic and we do not have rooms for alternative theories or better more explanatory theories that can explain the phenomena. For example, think of the previous example where the old lady slipped on ice and broke her hip. We observed this single fact that an elderly lady slipped on ice and broke her hip. From here, we could argue that an icy pavement alone is the cause of her hip fracture and we could come to a theory that icy pavements are the sole causes of hip fractures (we can call this theory ice pavement theory). Then, using this theory as our basis of further statements, we would claim that icy pavements are causes of hip or other organ fractures and injuries, and we could continue to support our theory by finding out or actively seeking cases of people who went out and slipped on icy pavements and injured themselves. On the other hand, if we were to come across one single situation where an old woman, of same age and who was wobbly, were to come out and would break her hip falling on a soft surface, that wold refute our theory. Logicians call this approach as falsifying our hypotheses. To logicians, a single case of falsifying a hypothesis is more important than consistently proving that our hypothesis is correct. This idea of falsification of hypothesis was extended further with the theory of [conjecture and refutation by Karl Popper (this is a PDF)](http://philosophyfaculty.ucsd.edu/faculty/rarneson/Courses/popperphil1.pdf). 
Karl Popper argued that we can explain the same phenomenon by invoking a number of different explanations that are our theories. We should then examine each of these theories by framing hypotheses. We should aim at falsifying the hypotheses till the one that cannot be falsified. The hypothesis that would be failed to prove true would be the best explanation till that hypothesis too, can be deemed to be wrong by another set of findings. Thus, science becomes an infinite set of iterations in search of the best explanation. 